#

API Docs for: v3.8.1
Show: Inherited Protected Private Deprecated

# Ember.HTMLBars.helpers Class

Module: ember-data

- Index
- Methods

## Item Index

### Methods

- singularize

## Methods

### `singularize`

(

- `word`

)

Defined in `node_modules/ember-inflector/addon/lib/helpers/singularize.js:4`

If you have Ember Inflector (such as if Ember Data is present), singularize a word. For example, turn "oxen" into "ox". Example: {{singularize myProperty}} {{singularize "oxen"}}

#### Parameters:

- `word` String | Property

  word to singularize